#
# First attempt on a spec file
#
Summary: A software suite to control wireless LAN cards
Name: kwifimanager
Version: 1.0.2
Release: 2AX
Copyright: GPL
Group: System/GUI/KDE
URL: http://sourceforge.net/projects/kwifimanager
Buildroot: %{_tmppath}/%{name}-root
Source0: ftp://download.sourceforge.net/pub/sourceforge/kwifimanager/kwifimanager.tar.gz
Source1: kwifimanager-1.0.2-msg_ja.tar.gz
Patch0: kwifimanager-1.0.2-soundoff.patch
Patch1: kwifimanager-1.0.2-menu.patch
Patch2: kwifimanager-1.0.2-msg.patch
Patch3: kwifimanager-1.0.2-timer.patch
Patch4: kwifimanager-1.0.2-speed11g.patch
%description
With the applications in the package you can monitor your wireless
LAN cards and modify their configuration. The package contains a
stand-alone application, a kicker applet and a control-center module
for KDE.

%prep
%setup
tar xfz %{SOURCE1}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

#INSTDIR=`kde-config --prefix`
INSTDIR="%{_prefix}"
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.la" >files.txt
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.so.1.0.0" >>files.txt
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.so.1" >>files.txt
echo "$INSTDIR/lib/libkwifimanager_kickerapplet.so" >>files.txt
echo "$INSTDIR/share/apps/kicker/applets/kwifimanager_kickerapplet.desktop" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.la" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.so.1.0.0" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.so.1" >>files.txt
echo "$INSTDIR/lib/libkcm_kwifimanager_kcmodule.so" >>files.txt
echo "$INSTDIR/share/applnk/System/kwifimanager.desktop" >>files.txt
echo "$INSTDIR/share/applnk/.hidden/Network/kwifimanager_kcmodule.desktop" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/locations/DE_BW_Karlsruhe_University.loc" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/locations/NOWHERE.loc" >>files.txt
echo "$INSTDIR/bin/kwifimanager" >>files.txt
echo "$INSTDIR/share/icons/default.kde/32x32/apps/kwifimanager.png" >>files.txt
echo "$INSTDIR/share/icons/default.kde/16x16/apps/kwifimanager.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/ad_hoc.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/all_alone.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/ap_connect.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/excellent.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/good.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/marginal.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/no_card.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/offline.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/oor_down.png" >>files.txt
echo "$INSTDIR/share/apps/kwifimanager/pics/oor_minimum.png" >>files.txt
echo "$INSTDIR/share/locale/de/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/locale/fr/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/locale/ja/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/locale/it/LC_MESSAGES/kwifimanager.mo" >>files.txt
echo "$INSTDIR/share/doc/HTML/en/kwifimanager/index.docbook" >>files.txt
echo "$INSTDIR/share/doc/HTML/en/kwifimanager/index.cache.bz2" >>files.txt

%build
#INSTDIR=`kde-config --prefix`
INSTDIR=%{_prefix}
./configure --prefix=%{_tmppath}/%{name}-root/$INSTDIR
make

%install
rm -rf $RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT

%post

%files -f files.txt

%changelog
* Fri Apr 30 2004 Yasuma Takeda <yasuma@miraclelinxu.com>
- initial build for MIRACLE LINUX V3.0
